AnsweredAssumed Answered

OpenCL library 1.2 with Radeon R7 M265 on Fedora31

Question asked by pradyparanjpe on Feb 24, 2020

I wish to use my Radeon R7 M265 graphics card (Dell Inspiron 7548) for gpgpu application (coding and testing) using OpenCL (v1.2 or greater).
My libraries require me to use OpenCL v > 1.2, that is unsupported by the free Mesa Drivers/Libraries.
I am currently compromising with pocl platform and Intel's integrated graphics.
I installed AMD's ROCm, that does not support my GPU. (on a side note, I've come across documents that claim that some of cuda code can be used with ROCm, which would be great)

 

Most drivers/libraries from AMD are for antique versions of GNU/Linux.
Which libraries (Libre/Proprietary) should be installed to enable use of OpenCL > v1.2 on (Preferably Fedora 31 or higher) GNU/Linux.

Outcomes